
len=60;
thi=5; // Materialdicke
alpha=atan(1/sqrt(2));
h=len*sin(alpha);
abschnitt=27;
abstand=20;

length=len;

// projection(cut=true) rotate([90, 0, 0])
// projection(cut=true) translate([0, 0, 1])

union()
{
	union()
	{
		rotate([0, 0, -90])
		verbindung();

		rotate([0, 0, -90+120])
		verbindung();

		rotate([0, 0, -90+240])
		verbindung();
	}

	union()
	{
		dach(1);
		translate([0, 0, abstand*1])
		dach(1);
		translate([0, 0, abstand*2])
		dach(1);
		translate([0, 0, abstand*3])
		dach(0);
	}
}
// */
	translate([0, 0, -thi])
	linear_extrude(file = "dach1.dxf", layer = "boden1",
	height = thi, center = false, convexity = 10, twist = 0, $fn=30);

	translate([0, 0, -thi*2])
	linear_extrude(file = "dach1.dxf", layer = "boden2",
	height = thi, center = false, convexity = 10, twist = 0, $fn=30);

	translate([2, 0, -thi])
	rotate([0, 90, 0])
	rotate([0, 0, 90])
	linear_extrude(file = "dach1.dxf", layer = "halterung1",
	height = thi, center = false, convexity = 10, twist = 0, $fn=30);

	translate([7, -thi/2, -thi])
	rotate([0, 0, 180])
	rotate([90, 0, 0])
	linear_extrude(file = "dach1.dxf", layer = "halterung2",
	height = thi, center = false, convexity = 10, twist = 0, $fn=30);

// cylinder(r=5, h=40);


module dach(offen)
{
union()
{
	translate([0, 0, h])
		rotate([0, 180+90-alpha, 0])
			rotate([0, 0, 45])
			{
				rotate([0, 0, 90])
					translate([-5, 0, 0])
					{
						if(offen == 1)
							dreieck_dxf("teil3klein");
						else
							dreieck_dxf("teil3");
					}
 				rotate([0, -90, 0])
					translate([-5, 0, 0])
					{
						if(offen == 1)
							dreieck_dxf("teil1klein");
						else
							dreieck_dxf("teil1");
					}

				rotate([0, 0, 0])
					translate([0, 0, 0])
					{
						if(offen == 1)
							dreieck_dxf("teil2klein");
						else
							dreieck_dxf("teil2");
					}// */
			}
}
}

module dreieck_dxf(teil)
{
	translate([thi, 0, 0])
	rotate([0, -90, 0])
	rotate([0, 0, 180])
	linear_extrude(file = "dach1.dxf", layer = teil,
	height = thi, center = false, convexity = 10, twist = 0, $fn=10);

}


module dreieck(teil, length)
{
	polyhedron (
	points = [[0, 0, 0], [0, length, 0], [0, 0, length], [thi, 0, 0], [thi, length, 0], [thi, 0, length]], 
	triangles = [[1,0,3], [4,1,3],  [0,1,2], [4,3,5], [1,4,2], [2,4,5],  [3,0,2], [3,2,5], ]);
}

module dreieckteil(teil, length, klein)
{
difference()
{
	polyhedron (
	points = [[0, 0, 0], [0, length, 0], [0, 0, length], [thi, 0, 0], [thi, length, 0], [thi, 0, length]], 
	triangles = [[1,0,3], [4,1,3],  [0,1,2], [4,3,5], [1,4,2], [2,4,5],  [3,0,2], [3,2,5], ]);
	polyhedron (
	points = [[-1, -1, -1], [-1, klein+1, 0], [-1, -1, klein+1], [thi+1, -1, -1], [thi+1, klein+1, -1], [thi+1, -1, klein+1]], 
	triangles = [[1,0,3], [4,1,3],  [0,1,2], [4,3,5], [1,4,2], [2,4,5],  [3,0,2], [3,2,5], ]);
}
}

module verbindung()
{
	translate([0, 11, 0])
	rotate([90, 0, 0])
	rotate([0, 90, 0])
	translate([0, 0, -thi/2])
	linear_extrude(file = "dach1.dxf", layer = "verbindung2",
	height = thi, center = false, convexity = 10, twist = 0, $fn=30);

}