
len=60;
thi=5; // Materialdicke
alpha=atan(1/sqrt(2));
h=len*sin(alpha);
abschnitt=27;
abstand=20;

difference()
{
	union()
	{
		dach(1);
		translate([0, 0, abstand*1])
		dach(1);
		translate([0, 0, abstand*2])
		dach(1);
		translate([0, 0, abstand*3])
		dach(0);
	}

	union()
	{
		rotate([0, 0, -90])
		translate([-thi/2, 10, -5])
		cube([thi, 20, 80]);

		rotate([0, 0, -90+120])
		translate([-thi/2, 10, -5])
		cube([thi, 20, 80]);

		rotate([0, 0, -90+240])
		translate([-thi/2, 10, -5])
		cube([thi, 20, 80]);
	}
}

cylinder(r=5, h=40);


module dach(offen)
{
union()
{
	translate([0, 0, h])
		rotate([0, 180+90-alpha, 0])
			rotate([0, 0, 45])
			{
				rotate([0, 0, 90])
					translate([-5, 0, 0])
					{
						if(offen == 1)
							dreieckteil(len, abschnitt);
						else
							dreieck(len);
					}
				rotate([0, -90, 0])
					translate([-5, 0, 0])
					{
						if(offen == 1)
							dreieckteil(len, abschnitt);
						else
							dreieck(len);
					}
				rotate([0, 0, 0])
					translate([0, 0, 0])
					{
						if(offen == 1)
							dreieckteil(len, abschnitt);
						else
							dreieck(len);
					}
			}
}
}

module dreieck(length)
{
	polyhedron (
	points = [[0, 0, 0], [0, length, 0], [0, 0, length], [thi, 0, 0], [thi, length, 0], [thi, 0, length]], 
	triangles = [[1,0,3], [4,1,3],  [0,1,2], [4,3,5], [1,4,2], [2,4,5],  [3,0,2], [3,2,5], ]);
}

module dreieckteil(length, klein)
{
difference()
{
	polyhedron (
	points = [[0, 0, 0], [0, length, 0], [0, 0, length], [thi, 0, 0], [thi, length, 0], [thi, 0, length]], 
	triangles = [[1,0,3], [4,1,3],  [0,1,2], [4,3,5], [1,4,2], [2,4,5],  [3,0,2], [3,2,5], ]);
	polyhedron (
	points = [[-1, -1, -1], [-1, klein+1, 0], [-1, -1, klein+1], [thi+1, -1, -1], [thi+1, klein+1, -1], [thi+1, -1, klein+1]], 
	triangles = [[1,0,3], [4,1,3],  [0,1,2], [4,3,5], [1,4,2], [2,4,5],  [3,0,2], [3,2,5], ]);
}
}
